!set title=Límite recursivo
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
language=em
leftrange=-0.900000
rightrange=0.900000
author=Gang XIAO
email=xiao@unice.fr
computeanswer=yes
precision=10000

ansorder=r
varcnt=31
prevarcnt=30
postvarcnt=0
replycnt=1
choicecnt=0
conditioncnt=0
feedbackcnt=0
format=html

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

tmp0=!randint 2, 10

val6=$[rint($(tmp0))]
tmp0=!randint 2, 10

tmp1=!randitem -1,1

val7=$[rint($(tmp0)*$(tmp1))]
tmp0=!randitem 11,13,17,19

val8=$[rint($(tmp0))]
tmp0=!randint $val8-4, 2*$val8

val9=$[rint($(tmp0))]
tmp0=!randitem 1/3,2/3,1/4,3/4,1/5,2/5,3/5,4/5

val10=$(tmp0)
tmp0=!randitem +,-

val11=$(tmp0)
val12=$val8/($val9$val11 x),	  sqrt($val6$val11 x),	  atan($val6$val11 x),	  sin($val7$val11 x),	  cos($val7$val11 x),	  ($val6$val11 x)^($val10)	  
tmp0=!itemcnt $val12

val13=$[rint($(tmp0))]
tmp0=!randint 1, $val13

val14=$[rint($(tmp0))]
tmp0=!item $val14 of  $val12

val15=!rawmath $(tmp0)
tmp0=!randint 1, 18

val16=$[$(tmp0)/10]
tmp0=!item $val14 of  {$val8 \over {$val9 $val11 $val16}},	   \sqrt{$val6 $val11 $val16},	   \arctan\left($val6 $val11 $val16\right),	   \sin\left($val7 $val11 $val16\right),	   \cos\left($val7 $val11 $val16\right),	   \left($val6 $val11 $val16 \right)^{$val10}	   

val17=$(tmp0)
tmp0=!item $val14 of  {$val8 \over {$val9 $val11 $val17}},	   \sqrt{$val6 $val11 $val17},	   \arctan\left($val6 $val11 $val17\right),	   \sin\left($val7 $val11 $val17\right),	   \cos\left($val7 $val11 $val17\right),	   \left($val6 $val11 $val17 \right)^{$val10}	   

val18=$(tmp0)
tmp0=!item $val14 of  {$val8 \over {$val9 $val11 $val18}},	   \sqrt{$val6 $val11 $val18},	   \arctan\left($val6 $val11 $val18\right),	   \sin\left($val7 $val11 $val18\right),	   \cos\left($val7 $val11 $val18\right),	   \left($val6 $val11 $val18 \right)^{$val10}	   

val19=$(tmp0)
evaltmp=$val15

evaltmp=!mathsubst x=($val16) in $evaltmp
tmp0=($evaltmp)
val20=$[$(tmp0)]
evaltmp=$val15

evaltmp=!mathsubst x=($val20) in $evaltmp
tmp0=($evaltmp)
val20=$[$(tmp0)]
evaltmp=$val15

evaltmp=!mathsubst x=($val20) in $evaltmp
tmp0=($evaltmp)
val20=$[$(tmp0)]
evaltmp=$val15

evaltmp=!mathsubst x=($val20) in $evaltmp
tmp0=($evaltmp)
val20=$[$(tmp0)]
evaltmp=$val15

evaltmp=!mathsubst x=($val20) in $evaltmp
tmp0=($evaltmp)
val20=$[$(tmp0)]
evaltmp=$val15

evaltmp=!mathsubst x=($val20) in $evaltmp
tmp0=($evaltmp)
val20=$[$(tmp0)]
evaltmp=$val15

evaltmp=!mathsubst x=($val20) in $evaltmp
tmp0=($evaltmp)
val20=$[$(tmp0)]
evaltmp=$val15

evaltmp=!mathsubst x=($val20) in $evaltmp
tmp0=($evaltmp)
val20=$[$(tmp0)]
evaltmp=$val15

evaltmp=!mathsubst x=($val20) in $evaltmp
tmp0=($evaltmp)
val20=$[$(tmp0)]
evaltmp=$val15

evaltmp=!mathsubst x=($val20) in $evaltmp
tmp0=($evaltmp)
val20=$[$(tmp0)]
evaltmp=$val15

evaltmp=!mathsubst x=($val20) in $evaltmp
tmp0=($evaltmp)
val20=$[$(tmp0)]
evaltmp=$val15

evaltmp=!mathsubst x=($val20) in $evaltmp
tmp0=($evaltmp)
val20=$[$(tmp0)]
evaltmp=$val15

evaltmp=!mathsubst x=($val20) in $evaltmp
tmp0=($evaltmp)
val20=$[$(tmp0)]
val21=$[$val20-1]
val22=$[$val20+1]
tmp=!replace internal .. by , in $val15 - x,x=$val21..$val22 

!distribute items $tmp into tmp1,tmp2,tmp3
tmp2=!replace internal = by , in $tmp2
!distribute items $tmp2 into tmp4,tmp5
tmp0=!solve $tmp1 for $tmp4 = $tmp5 to $tmp3 
val20=$[$(tmp0)]
replytype1=default
replyname1=El limite
replygood1=$val20
question=__EXECUTED_1692754_EXERCISE__
hint=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()Encontrar el límite de la sucesión recursiva	
!insmath (u_n)
$() tal que	 <center>
!insmath  u_1=$val16\;,\;u_2=$val17\;,
$() </center>	 <center>
!insmath  u_3=$val18\;, 
$()</center>	 <center>
!insmath  u_4=$val19\;,\; \cdots 
$()</center>	
$()
!exit

:hint
$()Esta sucesión es una sucesión recursiva definida por 	u<sub>n+1</sub>&nbsp;=&nbsp;f(u<sub>n</sub>), para cierta función	
!insmath f
$(). ¿De qué función se trata?	
$()
!exit

:help
$()
$()
!exit

:solution
$()
$()
!exit

:feedback

!exit

:test

!exit

:stat
vsavelist=16,17,18,19
embedcnt=0
